Bug 528566 - Build fails because no long double support is available for ARM
Build fails because no long double support is available for ARM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: boost (Show other bugs)
rawhide
arm9 Linux
medium Severity high
: ---
: ---
Assigned To: Benjamin Kosnik
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2009-10-12 16:38 EDT by Jitesh Shah
Modified: 2013-08-09 01:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-14 09:45:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Suggested Fix (1.53 KB, patch)
2009-10-12 16:38 EDT, Jitesh Shah
no flags Details | Diff

  None (edit)
Description Jitesh Shah 2009-10-12 16:38:10 EDT
Created attachment 364517 [details]
Suggested Fix

Description of problem:
Boost fails on archs which don't support long double with these errors
libs/math/build/has_long_double_support.cpp:9:2: error: #error "long double support is not supported by Boost.Math on this Plaform: the long double version of the TR1 library will not be built."
libs/math/build/has_long_double_support.cpp:9:2: error: #error "long double support is not supported by Boost.Math on this Plaform: the long double version of the TR1 library will not be built."
libs/math/build/has_long_double_support.cpp:9:2: error: #error "long double support is not supported by Boost.Math on this Plaform: the long double version of the TR1 library will not be built."
libs/math/build/has_long_double_support.cpp:9:2: error: #error "long double support is not supported by Boost.Math on this Plaform: the long double version of the TR1 library will not be built."

Find a failed build here:
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=71451

Version-Release number of selected component (if applicable):
Any version higher than boost-1.39.0 

How reproducible:
Everytime.

Steps to Reproduce:
1. Build boost on any arch that doesn't support long double
  
Actual results:


Expected results:


Additional info:
Attaching a patch which disables long double support for ARM.
Find a successful build here.
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=72853
Comment 1 Benjamin Kosnik 2009-10-12 19:59:11 EDT
This patch, minus

-Release: 6%{?dist}
+Release: 6%{?dist}.fa1


looks fine to me.
Comment 2 Petr Machata 2009-10-13 08:32:03 EDT
I'll package it.
Comment 3 Petr Machata 2009-10-14 09:45:48 EDT
That's now in rawhide.

Note You need to log in before you can comment on or make changes to this bug.